Last Comment Bug 436686 - On occasion Flash video will start with no sound, then stop after 2-3 seconds.
: On occasion Flash video will start with no sound, then stop after 2-3 seconds.
Status: REOPENED
Fixed with Shockwave Flash 10
: testcase, user-doc-complete
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 18 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://vixyandtony.com/flash_bug_xpsf...
: 403342 416841 421693 434500 434753 437867 445130 445967 445975 447849 448523 449320 452808 457638 457793 458030 458154 458166 460856 461481 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-31 09:15 PDT by M Z
Modified: 2016-07-10 01:47 PDT (History)
70 users (show)
jst: blocking1.9.1-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
It's a class (187 bytes, text/plain)
2008-09-15 07:12 PDT, Dhananjay
no flags Details

Description M Z 2008-05-31 09:15:05 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008051206 Firefox/3.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008051206 Firefox/3.0

I watch flash videos just about everyday using the Firefox browser. Frequently, I will try to open a flash video on Firefox, and it will begin to play, and there will be no sound. Then, the entire video will pause at 2-3 seconds and not continue. I have had this problem on Firefox v2 and v3-RC1. In fact, I've had the problem in the past, and even after an unrelated-to-this-issue fresh install of Windows XP on the same hardware, I still get the error. Flash video still works on Internet Explorer and Safari 100% of the time. I can't figure out what the problem is. I'd really love to know.

Reproducible: Sometimes

Steps to Reproduce:
1. Open Firefox
2. Watch a Flash Video
3. Watch the video either work, or fail miserably as described above.
Actual Results:  
Sometimes it worked fine, sound and full video. Sometimes problem described above occurred.

Expected Results:  
I expected this to happen.

about:buildconfig

Build platform
target
i686-pc-mingw32

Build tools
Compiler 	Version 	Compiler flags
cl 	14.00.50727.762 	-GL -wd4624 -wd4952 -TC -nologo -W3 -Gy -Fd$(PDBFILE)
cl 	14.00.50727.762 	-GR- -GL -wd4624 -wd4952 -TP -nologo -Zc:wchar_t- -W3 -Gy -Fd$(PDBFILE)

Configure arguments
--enable-application=browser --enable-update-channel=release --enable-optimize --disable-debug --disable-tests --enable-update-packaging --enable-official-branding --enable-jemalloc --with-crashreporter-enable-percent=25
Comment 1 Ria Klaassen (not reading all bugmail) 2008-05-31 10:58:00 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9pre) Gecko/2008053106 Minefield/3.0pre

This works fine for me. Can you also reproduce this in safe-mode?
http://kb.mozillazine.org/Safe_Mode_(Firefox)
And are you using the latest flash version?
Comment 2 M Z 2008-05-31 16:47:39 PDT
I am using the latest version of flash, yes. And no, I have not managed to reproduce it in safe mode.
Comment 3 Marcia Knous [:marcia - use ni] 2008-06-03 10:47:38 PDT
I have seen numerous comments in the hendrix forums regarding this behavior, and the majority of users are running XP. Can you please report which version of flash you are running - just type about:plugins in the URL bar. Thanks.
Comment 4 M Z 2008-06-03 15:20:14 PDT
This is what about:plugins said about flash:

Shockwave Flash

    File name: NPSWF32.dll
    Shockwave Flash 9.0 r124

MIME              Type 	           Description 	     Suffixes 	Enabled
application/x-shockwave-flash 	Adobe Flash movie 	swf 	Yes
application/futuresplash 	FutureSplash movie 	spl 	Yes


Do you think you can identify the problem? And if possible, could you please be so kind as to link me to a couple threads on that forum? Thanks!
Comment 5 M Z 2008-06-03 15:20:59 PDT
(In reply to comment #3)
> I have seen numerous comments in the hendrix forums regarding this behavior,
> and the majority of users are running XP. Can you please report which version
> of flash you are running - just type about:plugins in the URL bar. Thanks.
> 

This is what about:plugins said about flash:

Shockwave Flash

    File name: NPSWF32.dll
    Shockwave Flash 9.0 r124

MIME              Type             Description       Suffixes   Enabled
application/x-shockwave-flash   Adobe Flash movie       swf     Yes
application/futuresplash        FutureSplash movie      spl     Yes


Do you think you can identify the problem? And if possible, could you please be
so kind as to link me to a couple threads on that forum? Thanks!
Comment 6 Mats Palmgren (:mats) 2008-06-08 11:02:37 PDT
(In reply to comment #2)
> I am using the latest version of flash, yes. And no, I have not managed to
> reproduce it in safe mode.

I guess it could be caused by an add-on then.  Please list the ones you
have installed and their versions.
Comment 7 M Z 2008-06-11 13:47:43 PDT
(In reply to comment #6)
> (In reply to comment #2)
> > I am using the latest version of flash, yes. And no, I have not managed to
> > reproduce it in safe mode.
> 
> I guess it could be caused by an add-on then.  Please list the ones you
> have installed and their versions.
> 

Okay, my installed addons are as follows:

Adblock Plus 0.7.5.4
Facebook Toolbar 1.21
McAfee SiteAdvisor 26.6
PicLens 1.6.3.2361
ScribeFire 2.31
Skype Extension for Firefox 2.2.0.80
YouPlayer 0.9.8


Hope that helps!




Comment 8 gurgel2 2008-06-21 05:10:00 PDT
Have the same problem. And have read about alot of others having the same issues out on the net. Have had this problem since atleast 6 months on two different computers. Both ff2 and ff3. Often i can play movies for some hours but then it stops working. plays 2 secs and then stops. You can then move the jog slider to another pos, and it will play 2 secs more. A restart of FF is needed for the problem to go away. When this happen I have to start inet explorer in which I never have any problems with this. If this had worked I would NEVER use IE again.

I use the following plugins

adobe accrobat
itunes application detect
java 2 platform std ed. 5.0 upd 6
MS DRM 
Moz. def. plug-in
QT Plugin 7.5 (861)
SW Flash 9.0 r115
SW for Director v 11.0
Silverlight plugin
1.0.30226
VLC Plugin 0.8.6h
WMP plugin dynamic link lib

Addons:
CTRL-Tab
Foxmarks Bookmarrk Synch.
Greasemonkey
Stumpleupon 
Tree Style Tab

(all latest versions)

..other than that i run XP SP2. 

/Kalle



Comment 9 gurgel2 2008-06-21 05:11:41 PDT
Ohh.. and once the problem occurrs it happens with all types of flash moviestream players. Not just YouTube player.
Comment 10 el3000 2008-06-24 06:13:32 PDT
I can confirm this behavior with FF3.0 over XP SP3

I encounter it only after FF has been running for a while (>60 min).  It affects all flash-based video content.

Restarting the browser is a workaround.

Shockwave Flash

    File name: NPSWF32.dll
    Shockwave Flash 9.0 r115

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0

adblock plus 0.7.5.5
customizegoogle 0/72
downloadstatusbar 0.9.6.3
google gears 0.3.24.0
secure login 0.9.2.3
Comment 11 M Z 2008-06-24 15:15:28 PDT
Thank you for the confirmations, gurgel2 and el3000, although I have some information to add:

1. Apparently, flash based video is not the only affected item. For example, Flash based MP3 Players (such as the ones found on several myspace profiles) also will not play music when this problem occurs. Test this too, please.

2. In my case, sometimes restarting Firefox will not always work. Sometimes I have to restart Firefox several times or restart my entire computer. It's quite annoying.


I'd love to find a fix for this bug, because honestly, I can not stand Internet Explorer, and this bug is forcing me to use it...
Comment 12 M Z 2008-06-24 18:02:06 PDT
By the way, I've just done some research via the magic of Google, and I found that dozens and dozens of people are having the exact same problem I have reported here. In fact, I've found it on the mozillaZine forums, as well as Adobe's own Feature Request/Bug Report Form. Here are a few links I've found:

http://forums.mozillazine.org/viewtopic.php?f=38&t=634218 (This poor guy has tried everything including wiping his OS, and it still occurred. In addition, may I direct your attention to truefrancesca's first post in the thread, it's got quite the amount of information.)

http://www.adobe.com/cfusion/webforums/forum/messageview.cfm?forumid=44&catid=184&threadid=1330412&enterthread=y#4879322 (Although this is in the official Adobe Bug Report forums, no staff member has ever replied in the thread. That's quite disheartening.)


Reading several posts more, I've come across the idea to totally uninstall Flash Player 9.0.115.0 and roll it back to FP 9.0.047.0. Some people say it has worked, but some people say it hasn't. I guess I'll try it and get back to you.

[By the way, since developers usually don't provide older versions of their products, a third party site is necessary to get an older version. Here is the link to Flash Player 9.0.047.0: 

http://www.oldapps.com/Macromedia_Flash_Player.htm

And here is the link to Adobe's guide to totally removing a version of Adobe Flash Player:

http://kb.adobe.com/selfservice/viewContent.do?externalId=kb402435&sliceId=2
http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14157&sliceId=1

Hope this works...]
Comment 13 M Z 2008-06-24 18:07:33 PDT
Here's yet another update from the wonderful mozillaZine thread I linked to previously. Apparently there's a Flash Player v10 beta that has a fix for this incredibly annoying problem, I think I'm going to try the proposed v10b fix before I try to roll back to 9.0.047.0. Anyway, you guys have a choice now. Pick one, try it, and make sure you post your results here. 
Comment 14 Dão Gottwald [:dao] 2008-07-04 05:47:34 PDT
*** Bug 437867 has been marked as a duplicate of this bug. ***
Comment 15 Matthias Versen [:Matti] 2008-07-18 07:12:34 PDT
*** Bug 445967 has been marked as a duplicate of this bug. ***
Comment 16 Matthias Versen [:Matti] 2008-07-18 07:14:05 PDT
*** Bug 445975 has been marked as a duplicate of this bug. ***
Comment 17 Toni 2008-07-18 10:41:14 PDT
Does this Flash player v.10 beta fix this problem? Is it aviable for Firefox?
Comment 18 Tony Chung [:tchung] 2008-07-18 12:27:58 PDT
there's enough comments here to mark this bug confirmed.  changing status.
Comment 19 Tony Chung [:tchung] 2008-07-18 12:29:09 PDT
reporter, et all, what happens if you launch firefox with a new profile?  can you repro?
Comment 20 Marcia Knous [:marcia - use ni] 2008-07-18 13:19:50 PDT
*** Bug 445130 has been marked as a duplicate of this bug. ***
Comment 21 Toni 2008-07-18 13:21:39 PDT
When I disable and then enable flash player in addons of Firefox then it works for one or two times.
Comment 22 Jorge Andres 2008-07-18 20:54:09 PDT
I had the same problem. I was already thinking leaving firefox and return to IE. However, changed the OS to Ubuntu. Same hardware, no more problems. But, how about using flashblock?? i think this problem shows when there are too much flash...
Comment 23 Toni 2008-07-19 23:39:27 PDT
Too bad there is no any official fix for this...
Comment 24 Ria Klaassen (not reading all bugmail) 2008-07-24 13:54:51 PDT
*** Bug 447849 has been marked as a duplicate of this bug. ***
Comment 25 redc1c4@sbcglobal.net 2008-07-25 10:33:47 PDT
re: #6  
i currently have no add-ons, and about:plugins gives the following Flash info:

    File name: npswf32.dll
    Shockwave Flash 9.0 r28

and

    File name: NPSWF32.dll
    Shockwave Flash 9.0 r124

OS is Win2K and FF info is 

Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1
Comment 26 Jeremy Greene 2008-07-29 23:18:44 PDT
I have the same problem. YouTube videos stop playing after 2 seconds. Other flash applications on the web will fail to produce sound.

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

C:\WINDOWS\SYSTEM32\Macromed\Flash\NPSWF32.dll is version 9.0.124.0.

I normally keep 10-15 tabs open, and I have Firefox set to "show my windows and tabs from last time" when it launches.


Each of the following steps alone *did not* fix the problem:

1) Reboot the PC

2) Run Firefox in safe mode with the only enabled plugin being "Shockwave Flash 9.0 r124."

3) Clear the Firefox disk cache and restart Firefox


Each of the following steps alone *did* fix the problem:

1) Create a new profile and run from the new profile

OR

2) Close all tabs until there is only 1 left; close Firefox; re-launch Firefox
Comment 27 Matthias Versen [:Matti] 2008-07-30 06:05:51 PDT
*** Bug 434753 has been marked as a duplicate of this bug. ***
Comment 28 Matthias Versen [:Matti] 2008-07-30 06:41:02 PDT
*** Bug 448523 has been marked as a duplicate of this bug. ***
Comment 29 redc1c4@sbcglobal.net 2008-07-30 12:04:06 PDT
(In reply to comment #26)

> Each of the following steps alone *did* fix the problem:
> 
> 1) Create a new profile and run from the new profile
> 
> OR
> 
> 2) Close all tabs until there is only 1 left; close Firefox; re-launch Firefox

how long before the new profile had the same symptoms?

#2 is as bad as using IE, so i'd hardly consider that a "fix".

Note to Mozilla: since this is obviously a widespread issue with what is a basic function of a browser these days, i'd think you'd want to actually assign it to someone for resolution. any reason why that can't happen? 

Comment 30 Martijn Wargers [:mwargers] (not working for Mozilla) 2008-07-30 13:43:51 PDT
This is something that hasn't been reproduced yet by any developer.
It's also not clear if it's a problem with the Flash plugin or Firefox 3.
Also, see comment 13, Flash Player 10b seems to fix the problem for some reason.
Comment 31 Sotiris 2008-07-30 18:31:06 PDT
ok i installed firefox version 3 , adobe flash player 8 and it works :D
Comment 32 Jeremy Greene 2008-07-30 19:36:03 PDT
(In reply to comment #29)
> (In reply to comment #26)
> 
> > Each of the following steps alone *did* fix the problem:
> > 
> > 1) Create a new profile and run from the new profile
> > 
> > OR
> > 
> > 2) Close all tabs until there is only 1 left; close Firefox; re-launch Firefox
> 
> how long before the new profile had the same symptoms?

By "fix," I mean it temporarily fixed the problem. I am sure the problem will eventually come back. 

> #2 is as bad as using IE, so i'd hardly consider that a "fix".

I am posting this information not because I think it is a long-term fix, but because I think it will help the Firefox developers narrow down the cause of the problem.
Comment 33 Sotiris 2008-08-01 02:13:15 PDT
the problem is your adobe flash player version
Comment 34 Justin Kerk 2008-08-01 12:27:59 PDT
*** Bug 421693 has been marked as a duplicate of this bug. ***
Comment 35 Kent Fitzsimmons 2008-08-03 07:46:48 PDT
I have this problem too, and am using the most current version 9,0,124,0 as shown by http://www.adobe.com/products/flash/about/

(Win XP, 1GB memory free on a 2GB system, 3.5G of space free on the drive containing the temp directory)
Comment 36 Matthias Versen [:Matti] 2008-08-06 07:19:15 PDT
*** Bug 449320 has been marked as a duplicate of this bug. ***
Comment 37 theoglobal 2008-08-06 14:44:40 PDT
This issue also occurs on Vista SP1.

The identical problem occurs on:
FF 3.0.1, 
rolled back to FF 3.0
rolled back to FF 2.0

Currently running 3.0
I am running Flash 9,0,124,0 

I also restored 3 Windows Vista registry restore points, definitely predating the occurrence of the issue. This does not resolve the issue.

To add new info, to help debug this:

I have two Vista profiles
(they share the same installed FireFox program)

Vista Profile 1: issue occurs. YouTube videso do NOT have audio.

In Vista, I select "Switch User", 
Amazing, there is NO ISSUE.
Firefox runs fine and YouTube videos now have audio.

I have not yet had the time to do folder-based or file-by-file comparison, or swapping files and folders in and out of profiles.

More details on request.
All thoughts or suggestions to help pin down the failure point are welcome.

Comment 38 theoglobal 2008-08-06 15:23:56 PDT
FF plays YouTube videos fine (without any issue) if the video is EMBEDDED in another non-YouTube websites, 

Example: Arbitary YouTube video 
CASE 1: Embedded on another website 
NO ISSUE
Plays fine in FF. 
http://www.funnyyoutubevideo.com/clip1.html
I click video to get YouTube source URL.

CASE 2: Same video, now being watched on YouTube website
ISSUE occurs
http://www.youtube.com/watch?v=MAcc8CPhlO4

I tested with numerous other videos; all replicate identical behaviour.
Comment 39 Neo 2008-08-06 23:30:48 PDT
*** Bug 449320 has been marked as a duplicate of this bug. ***
Comment 40 Mike Beltzner [:beltzner, not reading bugmail] 2008-08-07 07:31:18 PDT
Comment 13 indicates that this might be a problem on Adobe's end, do we have any confirmation of that?
Comment 41 Martijn Wargers [:mwargers] (not working for Mozilla) 2008-08-07 07:36:06 PDT
Not afaik, would be great if someone from Adobe could comment on this issue.
Comment 42 theoglobal 2008-08-07 08:01:45 PDT
I followed Adobe advice, 
- closed all open apps with any calls to Flash
- used Flash uninstall tool (version 04/08/2008) from command prompt, with switch to /clean
- rebooted
- installed Flash 10 beta 2 for both FF extension and IE ActiveX.
YouTube volume control (sound slider on website) defaulted to bottom 'zero' volume position; as I raised volume, YouTube audio works normally.
Issue - for now - has disappeared.
No idea if resolution is due to Flash 10, or just (momentary) side-effect of removal and reinstall.

Related Adobe Flash Links
http://labs.adobe.com/downloads/flashplayer10.html
http://labs.adobe.com/technologies/flashplayer10/releasenotes.html#install
http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14157&sliceId=2
http://www.adobe.com/products/flash/about/
Comment 43 gurgel2 2008-08-18 07:44:09 PDT
After installing FF3 my problems went away.. now some 1 months later FF3 will experiance the same problem. After a period of use... flashmovies starts with no sound and stops after 1-2 sec's of playback. 
Comment 44 Mardeg 2008-08-18 12:21:48 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

Since running the http://download.macromedia.com/pub/flashplayer/current/uninstall_flash_player.exe for Flash 9 then installing Flash 10 Release Candidate from links in comment #42 on August 11, I have no longer experienced this problem at all.
Comment 45 Mike Beltzner [:beltzner, not reading bugmail] 2008-08-25 20:39:16 PDT
Can we at least call this Windows only? I haven't seen any reports of it happening in other OSes.
Comment 46 Marcia Knous [:marcia - use ni] 2008-08-26 15:48:49 PDT
Yes, I think this is fair as I have not seen any Hendrix reports of this on Mac or Linux. I think I have seen more reports in Hendrix using XP but I believe there have been reports on Vista as well.

(In reply to comment #45)
> Can we at least call this Windows only? I haven't seen any reports of it
> happening in other OSes.
> 

Comment 47 Peter Kasting 2008-08-28 09:52:55 PDT
Could this be the same as bug 289873?  See also http://bugs.adobe.com/jira/browse/FP-191 (which describes symptoms similar to this bug) and http://bugs.adobe.com/jira/browse/FP-211 .
Comment 48 Rick 2008-08-28 09:57:38 PDT
I'm running Flash 9.0 r124 on Firefox 3 on WinXP SP3 and have encountered this.

I can confirm that this happens to both audio and video playback. The problem
for me usually seems to happen if I pop open multiple tabs with audio or video
content. Once it happens the only resolution is to restart the computer.
Restarting Firefox does nothing.

In the playback controls the stream actually stops playing, but I can usually
scrub further ahead in the video and get it to play for another second or two
before it stops again.

The other thing about this is that I had the same problem with Firefox 2. It
seemed to go away when I installed FF3 but it has started happening again.

In terms of memory usage FF is at about 230000k when it happens and I have
about 600000k free. There doesn't seem to be any sort of memory leak occurring
when this happens and I can go on using Firefox all day without any other
problems other then Flash's audio/video hangups.

Another instance where this generally occurs is on our website nowtoronto.com
we often embed multiple flash players to play audio content throughout a story.
We've found we can't ever add more than about 10 instances of these without
error and often having just 4 or 5 players instances will cause this to occur.
Comment 49 Rick 2008-08-28 09:58:38 PDT
(In reply to comment #47)
> Could this be the same as bug 289873?  See also
> http://bugs.adobe.com/jira/browse/FP-191 (which describes symptoms similar to
> this bug) and http://bugs.adobe.com/jira/browse/FP-211 .
> 

It certainly does seem similar to these two Adobe reported bugs.
Comment 50 Matt 2008-08-28 13:07:53 PDT
John Dowdell from Adobe discusses this bug and thread in great detail at his blog.

http://blogs.adobe.com/jd/2008/08/firefox_video_dropouts.html
Comment 51 Peter Kasting 2008-08-28 14:12:47 PDT
FWIW, after reproducing this bug the other night, I then immediately reproduced it (using the same video) _in IE7_.  I found that bizarre and interesting, as AFAIK the IE7 Flash plugin is a completely different beast from the NPAPI one, and of course the browser caches are separate.  Restarting browsers (cleanly, without restoring sessions) did not help (which seems to rule out bug 289873, I guess), but rebooting my system did.
Comment 52 Peter Kasting 2008-08-28 14:18:21 PDT
(Sorry for bugspam, my train of thought is still rolling.)  Maybe the Flash plugin is having problems locking the audio device, or something?  On the home machine where I repro'd this, I use an E-mu 0404 USB, which accepts input formats up to 192 kHz, and (whether due to Creative's bad drivers or my own incompetence) frequently have problems where a program on the machine hangs up because either the device is set to the wrong format or the device is locked exclusively by another program.  This sort of thing has happened to me with Foobar2k.  Perhaps in my scenario above, neither NPAPI Flash nor ActiveX (or whatever it is in IE) Flash was able to lock the audio device successfully, causing no audio playback, and causing the video to stop when it hit the end of its buffer.  Restarting browsers didn't help because it didn't reset the audio device.  Rebooting the machine _did_ unlock the audio device and thus things worked again.

This hypothesis explains my symptoms, though perhaps not others'.  I could perhaps try to get the device locked or in the wrong format to see if this lets me repro this bug at will.
Comment 53 Len 2008-08-28 15:49:19 PDT
Some more data that may be useful.

It just occurred again. Process Explorer shows the Firefox3 virtual memory at 381,964K. This is more or less normal.

As has been noted playback stops at 2 seconds in, precisely. I've never seen it stop at 3 or 4 seconds. On 2 or 3 RARE occasions it has stopped several minutes into the clip. 

What has NOT been noted is that download of the clip continues even AFTER playback stops. My firewall icon shows the download activity continuing.

I have been able to download and play clips with RealPlayer when flash has failed. This only worked with Firefox2 as RealPlayer doesn't have a plug-in for FF3.

I put a reload Firefox icon on my toolbar as reloading it usually fixes the problem. On rare occasions I need to reload twice. I've never needed to reload 3 times. YET.

This is not readily reproducible. Usually it occurs after Firefox has been running for a couple of hours or more, sometimes more than 7. On RARE occasions it's occurred immediately. 
Comment 54 Drew 2008-08-28 20:31:08 PDT
Most of these may have been covered, but I'll put in my experience.

This was happening on FF2 and FF3 on at least 3 different computers. Also, each PC had a different version of Flash (8, 9 and 10).

The problem always seems to occur after prolonged use of the browser - Usually after a couple of hours of solid use, opening and closing many tabs.

Closing and re-opening FF will fix the problem. At least for the time being.

The video has always stopped at 2 seconds, and when I move the slider to another point in the video it will play another 2 seconds then stop. There is never any sound played with the problem manifested.

Once the problem has occured, most other Flash based applets will fail to work as well.

To me, it seems more like some kind of memory leak, most likely in Flash, where FF may keep the Flash plug-in active, even during times when it's not active on a page, till such a time as Flash Player fails to respond because it's chewing up to much memory?
Comment 55 brian wagner 2008-08-29 12:21:13 PDT
I've all but given up on using FF to watch YouTube and other video sites.  What sucks is one favorite site has recently decided to convert to ONLY FF playback, so I can't even watch that, any more.

also received an "update" for FF2 for my laptop, here, and it wants to upgrade to FF3 with these notes: 

"The following items are not compatible with this update to FireFox and will be disabled when it is installed:
-
Better YouTube 0.4.2
Fast Video Download 1.6
-
Firefox will periodically check for updates...yada yada yada"

I have not received any updates for my new desktop which I bought just after FF3 was made available, but can't seem to find a viable FF2 download for it.

If this matter is not fixed soon, I'm about ready to trash the whole FF program from both my drives.
Comment 56 Matthias Versen [:Matti] 2008-08-29 14:22:50 PDT
*** Bug 452808 has been marked as a duplicate of this bug. ***
Comment 57 Desmond Ramzan 2008-08-30 15:15:30 PDT
*** Bug 416841 has been marked as a duplicate of this bug. ***
Comment 58 Matthias Versen [:Matti] 2008-08-30 15:56:56 PDT
Does it make a difference if the plugin window is windowless or not ?
Comment 59 - 2008-09-02 11:18:16 PDT
After working without problems for some weeks now, I just tried to watch a Flash video on Youtube and the freezing started again.

(FF 2.0.0.16, Flash 9,0,124,0)
Comment 60 Vijay Santhanam 2008-09-02 22:38:30 PDT
I suffer from this bug alot. FWIW, http://www.realclearpolitics.com/video_log/ reliably triggers the problem for me on XP (my work machine) and Vista Sp1 (my home box).

I have firefox 3 on both machines with the latest and greatest updates.

NOt sure what flash version i've got, but i'm sure it's 9.x for web dev testing
Comment 61 Drew 2008-09-03 01:38:19 PDT
An identical problem is apparent in Google's new Chrome Browser.

It just happened to me with exactly the same problems.

Video started without sound, then stopped about 2 seconds in. The video completed downloading though, and moving the slider will start the movie playing from the place you dragged it to for about another 2 seconds, also without sound.
Comment 62 Vijay Santhanam 2008-09-03 02:06:31 PDT
Oh, I forgot to mention that once this problem occurs in Firefox, any page (with a flash player in it) will not play any audio.

Sometimes I get the 2 second stoppage, but mostly just the audio doesn't work...
Comment 63 public@dgmo.org 2008-09-03 15:17:59 PDT
See:

http://bugs.adobe.com/jira/browse/FP-191

Summary: To reproduce, open ~ 20 tabs, all with flash content. Flash plugin then stops working until it's restarted.

Workaround is to install flash beta 10 plugin which doesn't appear to show this problem.

Also: http://bugs.adobe.com/jira/browse/FP-211
Comment 64 Gribbs 2008-09-04 13:43:16 PDT
The flash 10 beta workaround isn't working for me.

When this does happen to me it's not just flash in FF that stops playing sound, but there are errors in many other programs:
Flash in IE has the same 2sec error.
Audacity stops being able to play sound/music files.
Control panel > Sounds and Audio Devices stops being able to play wav files.
Lots of flash-based games are unplayable with freezing/unresponsive controls.

However, VLC media player can still play all the sound files(mp3/wav) I open with it.
Comment 65 emailtemp42 2008-09-09 10:03:03 PDT
Have experienced this bug since the start of 2008 and its driving me crazy! Although a number of fixes have been suggested, those fixes tend to be temporary and don't work on all computers anyway. 

Have tried installing Flash 10 preview release, but the problem still continues, plus some Windows software and websites don't recognise Flash 10 to be the latest release and instead tell you to download the most recent version of Flash!

The problem is intermittant for me, but I find the length of time FF3 has been running does not matter. Sometimes the problem occurs the moment I first open FF.

I have discovered the same problem with Google Chrome, so how does FF and Chrome work with Flash, which IE and Safari don't?

Have also discovered other flash applets don't work, such as Flash-based shop lists in Ebay. If videos and sound in YouTube are working fine, then Ebay Flash images are not appearing at all. Mozilla and Adobe need to have a good long talk about the issue!!
Comment 66 Paul Betlem 2008-09-11 05:13:51 PDT
I can confirm that a solution is available in Flash Player 10. We do not yet know the behavior that changed in Firefox 3 that triggered the problem, so a solution for the existing Flash Player 9 is not yet available.

A stable beta version can be downloaded here and any help confirming the fix would be appreciated.
http://labs.adobe.com/downloads/flashplayer10.html
Comment 67 Leo 2008-09-15 00:38:19 PDT
(In reply to comment #12)
> By the way, I've just done some research via the magic of Google, and I found
> that dozens and dozens of people are having the exact same problem I have
> reported here. In fact, I've found it on the mozillaZine forums, as well as
> Adobe's own Feature Request/Bug Report Form. Here are a few links I've found:
> 
> http://forums.mozillazine.org/viewtopic.php?f=38&t=634218 (This poor guy has
> tried everything including wiping his OS, and it still occurred. In addition,
> may I direct your attention to truefrancesca's first post in the thread, it's
> got quite the amount of information.)
> 
> http://www.adobe.com/cfusion/webforums/forum/messageview.cfm?forumid=44&catid=184&threadid=1330412&enterthread=y#4879322
> (Although this is in the official Adobe Bug Report forums, no staff member has
> ever replied in the thread. That's quite disheartening.)
> 
> 
> Reading several posts more, I've come across the idea to totally uninstall
> Flash Player 9.0.115.0 and roll it back to FP 9.0.047.0. Some people say it has
> worked, but some people say it hasn't. I guess I'll try it and get back to you.
> 
> [By the way, since developers usually don't provide older versions of their
> products, a third party site is necessary to get an older version. Here is the
> link to Flash Player 9.0.047.0: 
> 
> http://www.oldapps.com/Macromedia_Flash_Player.htm
> 
> And here is the link to Adobe's guide to totally removing a version of Adobe
> Flash Player:
> 
> http://kb.adobe.com/selfservice/viewContent.do?externalId=kb402435&sliceId=2
> http://kb.adobe.com/selfservice/viewContent.do?externalId=tn_14157&sliceId=1
> 
> Hope this works...]

I had the same problem with only some Flash objects playing in both Mozilla Firefox (File Version 2.0.0.16) and IE6.  The problem would always occur when playing JibJab flash objects regardless of what site was hosting them except for Utube versions of the same. 

  I went ahead and downloaded the beta flash installer and uninstaller per the above recommendation. 

   http://labs.adobe.com/downloads/flashplayer10.html 

I removed every instance of Adobe Flash player from my computer. 

 Here's the sequence that finally worked: 

Control Panel> Add/Remove Programs.  Uninstall Shockwave player,

Downloaded and ran Adobe® Flash® Player Uninstaller version 4.0.0.8 and ActiveX Installer

Ran the Adobe® Flash® Player Uninstaller version 4.0.0.10 even before I installed Flash beta 10,

Installed Adobe® Flash® Player ActiveX Installer version 10.0.2.26,

Ran the Adobe® Flash® Player Plugin Installer version 10.0.2.26

I think that's all that I did.  Now, I don't have the inevitable "Firefox/Internet Explorer has encountered a problem and needs to close. We are sorry for the inconvenience" routine. 

FINALLY!
Comment 68 Dhananjay 2008-09-15 07:12:14 PDT
Created attachment 338641 [details]
It's a class
Comment 69 Jethro Villegas 2008-09-15 13:00:33 PDT
A new version of Flash Player 10 was made available today for public testing. Please verify this bug's behavior in that Player:

http://labs.adobe.com/technologies/flashplayer10/

Thanks,

JV
Comment 70 gamecubekid 2008-09-16 17:23:43 PDT
I've been having this problem and I think it seems clear this is related to audio. I stumbled upon my reasoning for this just recently. I watched a video without sound and it went all the way through no problem, but a video with sound stopped at 2 seconds. Here's the video I watched, but I think any video with no audio will work:

http://www.youtube.com/watch?v=6aU_n0rvg4g

I've also encountered this problem with flash-based music players except they don't start at all, but stop right at the beginning. This seems to confirm it is an audio issue.
Comment 71 Len 2008-09-18 20:22:23 PDT
PROBLEM SOLVED: FLASHBLOCK!!!

This was getting worse and after having to restart Firefox 4 times in a row to warch a video I got tired of the hassles and tried the Flashblock extension as suggested by Jorge Andres in an earlier post. It's been 5 days and NO PROBLEMS. I click on the flash files I want. The first click shows the image, the second plays the file. GREAT!!! Very simple. There's also an icon I've added to the taskbar that let's me turn the blocking  on and off. I'm blocking everything except the clips I want. No more restarting Firefox sometimes several times a day or skipping something I want to see because I don't want the hassle of restarting.

An added benefit is my CPU is idling at 2-5% most of the time now, before it was running at 50-80% even with Firefox in the background! My temps are 10-15 degrees centigrade cooler too (BIG DIFFERENCE), and Firefox and other apps are more responsive. (I use Process Explorer and Motherboard monitor). 

I should have done this months ago. It seems almost every site is using flash for something nowadays. It's gotten out of hand and turned into a huge system hog and some of the flash files don't play well with each other, leading to these complaints.

TRY FLASHBLOCK, PROBLEM SOLVED. Though I don't think Adobe will be happy with the solution. (-:
Comment 72 Steve Parkinson 2008-09-18 21:27:36 PDT
(In reply to comment #70)
> I've been having this problem and I think it seems clear this is related to
> audio. I stumbled upon my reasoning for this just recently. I watched a video
> without sound and it went all the way through no problem, but a video with
> sound stopped at 2 seconds. Here's the video I watched, but I think any video
> with no audio will work:
> 
> http://www.youtube.com/watch?v=6aU_n0rvg4g
> 
I am currently using a browser which is suffering from this bug, and all videos
are stopping at 2 seconds.

I tried the above video, and it plays without problem. So, I think you're onto something.
Comment 73 Matthew Middleton (:zzxc) 2008-09-23 12:51:00 PDT
Here is the workaround that has helped some people reporting this problem with Windows XP/Vista and Flash 9 on support.mozilla.com:

0) Verify that the latest version of Flash 9 is installed, 9.0 r124
1) Disable the Flash plugin in Tools...Add-Ons...Plugins
2) Go to Start...Run... and type: %temp%
3) Delete the files that start with fla (these are the flash temporary files, eg. fla3BA.tmp)
4) Go to Start... Run... and type: %appdata%
5) Go to the "Adobe" folder
6) Rename the "Flash Player" folder to something else, such as flashplayer2
7) Re-enable the Flash plugin in Tools...Add-ons...Plugins
Comment 74 Johnny Stenback (:jst, jst@mozilla.com) 2008-09-23 15:46:48 PDT
Michelle, any thoughts what's going on here on the Flash player side?

Without more concrete information, from adobe or elsewhere, we won't be blocking on this.
Comment 75 Matthias Versen [:Matti] 2008-09-29 04:49:49 PDT
*** Bug 457638 has been marked as a duplicate of this bug. ***
Comment 76 misterx42 2008-09-30 04:21:53 PDT
OK, so Google Video seems to freeze after 1 second..
Comment 77 Matthias Versen [:Matti] 2008-09-30 07:30:46 PDT
*** Bug 457793 has been marked as a duplicate of this bug. ***
Comment 78 Matthias Versen [:Matti] 2008-10-01 22:17:02 PDT
*** Bug 458154 has been marked as a duplicate of this bug. ***
Comment 79 Matthias Versen [:Matti] 2008-10-02 09:02:09 PDT
*** Bug 458166 has been marked as a duplicate of this bug. ***
Comment 80 David Tenser [:djst] 2008-10-02 09:56:06 PDT
Seems this bug hit the press: http://www.napavalleyregister.com/articles/2008/09/22/business/calvin_ross/doc48cf0f5442638932532939.txt
Comment 81 Henrik Skupin (:whimboo) 2008-10-02 10:52:07 PDT
(In reply to comment #63)
> Also: http://bugs.adobe.com/jira/browse/FP-211

In the above mentioned bug report the given testcase makes this bug reproducible each time. Let's add to our URL field.

(In reply to comment #74)
> Michelle, any thoughts what's going on here on the Flash player side?

Michelle is out of Office for a while AFAIK. I'll forward the bug to a colleague of her. But as we know of the mentioned bug report by Adobe and the following blog post, Adobe is aware of the problem. I'll try to have a deeper look into this issue.
Comment 82 [:Cww] 2008-10-02 11:05:48 PDT
In light of comment 80, I'm adding user-doc-needed.
Comment 83 Henrik Skupin (:whimboo) 2008-10-02 11:47:55 PDT
Ok, I have found an interesting workaround which is simpler as comment 73 but will only work within a session. If you restart Firefox the same steps have to be done again:

1. Open the plugins panel of the Add-ons Manager
2. Disable the Flash Player
3. Enable the Flash Player
4. Reload the website with the flash content

After step 4 video/audio don't stop anymore for the current session. Looks like this issue happens for the first initialization of the Flash plugin only. So it probably could also be an issue on our side with the initialization stuff?

I'll try the steps from comment 73 now to see if it will help permanently.
Comment 84 Henrik Skupin (:whimboo) 2008-10-02 11:55:25 PDT
(In reply to comment #73)
> 2) Go to Start...Run... and type: %temp%
> 3) Delete the files that start with fla (these are the flash temporary files,
> eg. fla3BA.tmp)
> 4) Go to Start... Run... and type: %appdata%
> 5) Go to the "Adobe" folder
> 6) Rename the "Flash Player" folder to something else, such as flashplayer2

Steps 2-6 are not necessary at least for me. All the temporary files are getting deleted when disabling the Flash plugin. The results are the same as the ones I mentioned in comment 83.

Anyone who can try the workaround in comment 83?
Comment 85 Matthew Middleton (:zzxc) 2008-10-02 13:13:00 PDT
(In reply to comment #84)
> (In reply to comment #73)
> Steps 2-6 are not necessary at least for me. All the temporary files are
> getting deleted when disabling the Flash plugin. The results are the same as
> the ones I mentioned in comment 83.

Simply disabling and enabling the plugin does seem to fix the problem temporarily for some people, but not all.  A number of users on sumo have reported that this problem persists even after disabling/enabling the plugin, after restarting Firefox, and after restarting Windows.  The steps in comment 73 result in all the Flash data and caches being removed.

I did some brief testing myself on a computer with Windows XP and Flash 9.0 r124.  The fla*.tmp files in %temp% were not deleted when disabling and enabling the plugin, they had to be manually removed.
Comment 86 Matthias Versen [:Matti] 2008-10-03 04:11:28 PDT
*** Bug 458030 has been marked as a duplicate of this bug. ***
Comment 87 anarxis 2008-10-08 05:09:12 PDT
Comment 71 worked for me (using Flashblock)  - for two weeks.
10 minutes ago i had the problem again.
Comment 88 Len 2008-10-08 17:01:09 PDT
Since using Flashblock I've noticed that a few sites do not work with it, clicking on a flash item does nothing. Enabling flash and reloading the page gets flash working on that page. I've forgotten to disable flash after enabling it for for one of those sites and found the bug crop up again later, forcing me to restart Firefox to view flash video again. Remembering to use flashblock to keep flash disabled keeps flash working when I want it. EXCEPT FOR ONE SITE:

http://www.sportsline.com/nfl/scoreboard

Visiting this site with flashblock enabled (flash disabled) causes Firefox to CRASH. Not immediately but within a few seconds to a minute. It uses flash or something to automatically update scores and plays. I'm not sure this would happen if there aren't any games going on to update though, but enabling flash when I visit it eliminates the problem and everything updates and works perfectly. There is obviously some severe conflict with flash, flashblock, and firefox. This might be another avenue to use to investigate the cause of the bug, since it causes an almost immediate crash and hence is easily and quickly reproducible, Then again it might be a completely different problem. :-)
Comment 89 Henrik Skupin (:whimboo) 2008-10-11 09:15:50 PDT
Matthew, were you able to perform the steps we talked about on IRC a week ago?
Comment 90 Mardeg 2008-10-13 12:53:38 PDT
Just an update since comment 44 I have yet to see this bug reappear. I simply ran http://download.macromedia.com/pub/flashplayer/current/uninstall_flash_player.exe then http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_install_plugin_091508.exe with Firefox closed.

So Flash 10 came out of beta on August 11, and has been at the status of "Release Candidate" for over 2 months now, when will they flip the switch to announce it as officially released?
Comment 92 Vijay Santhanam 2008-10-15 00:18:39 PDT
Yay!
Comment 93 Henrik Skupin (:whimboo) 2008-10-15 01:00:59 PDT
Thanks Mardeg.

Because it was fixed by Adobe with the latest Flash 10 release, resolving this bug as invalid. 

David, can you add this to SUMO?
Comment 94 David Tenser [:djst] 2008-10-15 01:11:45 PDT
Thanks, we'll make sure this is documented in the SUMO KB!
Comment 95 Henrik Skupin (:whimboo) 2008-10-15 01:26:17 PDT
Please aware that not all mirrors are updated yet. In my case I still get the old 9.0 r124 release. Looks like we have to wait until it will be officially announced.
Comment 96 Henrik Skupin (:whimboo) 2008-10-16 12:14:14 PDT
David, have you finished user documentation?

Anyone else can verify that the issue is gone with Flash 10? I cannot reproduce the issue on at least two different machines.
Comment 97 Mardeg 2008-10-16 13:01:28 PDT
The number of people coming to the #firefox channel with the issue in the last 2 months was easily more than 50. Every single one of them saw the issue disappear when we got them to upgrade to flash 10.
Comment 98 Henrik Skupin (:whimboo) 2008-10-16 14:14:41 PDT
Awesome. Thanks for your feedback Mardeg. I believe we can safely verify this bug.
Comment 99 Matthias Versen [:Matti] 2008-10-20 15:18:51 PDT
*** Bug 460856 has been marked as a duplicate of this bug. ***
Comment 100 Matthias Versen [:Matti] 2008-10-24 12:29:27 PDT
*** Bug 461481 has been marked as a duplicate of this bug. ***
Comment 101 Chris Ilias [:cilias] 2008-11-12 09:27:33 PST
user-doc-complete
<http://support.mozilla.com/kb/Flash-based+videos+and+sound+do+not+play+correctly>
Comment 102 Matthias Versen [:Matti] 2008-11-14 12:59:18 PST
*** Bug 434500 has been marked as a duplicate of this bug. ***
Comment 103 chris hofmann 2008-11-17 10:16:37 PST
I wonder if we can get youtube to evangelize use/upgrade to flash 10?
Comment 104 Philip Chee 2008-11-17 10:20:03 PST
> I wonder if we can get youtube to evangelize use/upgrade to flash 10?
ITYM HTML5 <video>.
Comment 105 Henrik Skupin (:whimboo) 2008-11-17 11:08:01 PST
(In reply to comment #103)
> I wonder if we can get youtube to evangelize use/upgrade to flash 10?

This issue is a client-side problem which was fixed by Flash 10 as you have already stated. What can Youtube do to fix it? Setting the minimal Flash version to watch videos to Flash 10? I don't think that this is necessary. Adobe pushes upgrade advices on systems with an already installed Flash player. So most of the users should already have upgraded to Flash 10?
Comment 106 David Tenser [:djst] 2008-11-17 11:11:38 PST
(In reply to comment #105)
> Adobe pushes upgrade advices on systems with an already installed Flash player.
> So most of the users should already have upgraded to Flash 10?

I don't think that's the case. I never get any update notifications from Flash. The only times I upgrade is when it's required by specific sites like Facebook. We discussed this at the Summit, that it would generally be awesome from a security point of view if plugins could auto-update in the same way as Firefox and its extensions are.
Comment 107 chris hofmann 2008-11-17 11:56:05 PST
> I don't think that's the case. I never get any update notifications from 
> Flash. The only times I upgrade is when it's required by specific sites 
> like Facebook.

Flash does offer udpates but the pace is glacial.  Here is some google analytics data on a site I run that backs up the idea that Flash users are generally slow to update to the latest and most secure version

1. 	9.0 r124	387,950 	47.82% 	
2. 	10.0 r12	215,602 	26.57% 	
3. 	9.0 r115	 62,846 	 7.75% 	
4. 	(not set)	 58,145 	 7.17% 	
5. 	9.0 r47	         21,063          2.60% 	
6. 	9.0 r28	         15,708 	 1.94% 	
7. 	9.0 r45	         15,360 	 1.89% 	
8. 	9.0 r16	          4,782 	 0.59% 	
9. 	8.0 r22	          4,073 	 0.50% 	
10. 	9.0 r48	          3,222 	 0.40%

Another idea that we might pursue that we have a bit more control over is to run the plugin checks on SUMO, or a "browser tune-up page" on SUMO.  That would inform users about out of date-plugins.

There is some plugin detection work and ideas over in https://bugzilla.mozilla.org/show_bug.cgi?id=391433 that we might be able to leverage for a SUMO page.
Comment 108 Tony Chung [:tchung] 2009-03-06 09:51:40 PST
Reopening this bug.   I've been running across this issue while testing Windows 7 Beta.  It seems that youtube flash videos work correctly, but its non-youtube vidoes that is encountering the no sound/stop 2-3 second problem.

STR:
1) Install Firefox 3.0.6, 3.1b3, or any 1.9.1 branch or trunk nightly on Windows 7 beta.  Use a clean profile (no extra addons)
2) Install Shockwave Flash 10.0.12.36 r12
3) Visit metacafe and vimeo
- Eg. http://www.metacafe.com/watch/2508333/dragonball_evolution_movie_trailer_hd/
- Eg. http://vimeo.com/1185346
4) Play video, and verify no sound/stops after 2-3 seconds

Can anyone else on windows 7 beta confirm this?
Comment 109 [:Cww] 2009-03-06 10:18:08 PST
(In reply to comment #108)
Not probably relevant but the latest flash is 10.0.22.87
It's a security patch: http://www.securityfocus.com/bid/33890 so it's probably not going to fix this but worth updating anyhow.
Comment 110 Tony Chung [:tchung] 2009-03-06 10:28:05 PST
(In reply to comment #109)
> (In reply to comment #108)
> Not probably relevant but the latest flash is 10.0.22.87
> It's a security patch: http://www.securityfocus.com/bid/33890 so it's probably
> not going to fix this but worth updating anyhow.

I give it a whirl, and installed Flash 10.0.22.87.   Still no fix to the video examples i reported.  Cww, can you keep an eye on this in SUMO, and see if any others on Windows 7 beta might also be reporting this?   Thanks.
Comment 111 Henrik Skupin (:whimboo) 2009-03-06 10:32:15 PST
Michelle, is the Adobe team already aware of this problem on Windows 7?
Comment 112 Charles 2009-03-06 10:44:53 PST
No. I'll look into this.
Comment 113 juan becerra [:juanb] 2009-03-06 11:54:59 PST
I followed the steps in comment #108 and I don't see a problem. The videos in the links play fine.

I'm using a Mac Mini running (dual boot), with Windows 7 beta (build 7000), and Flash 10.0.22.87 r22. Videos play well, as do videos in youtube.
Comment 114 Mike A. Harris 2009-03-21 17:29:50 PDT
I've been experiencing this problem, or something very similar at least for several months in Linux with firefox 3.x on both x86 and x86_64 architectures.

I have a reproducable test case that I can make the bug trigger or go away at will, at least for the problem that I am personally experiencing.  It is related to the firefox "zoom" page feature.  If I go to YouTube, reset zoom to 0 by hitting CTRL+0, then watch a video - it plays back more or less perfectly as I expect it to.  However, if I zoom in on the page using the CTRL+SCROLLWHEEL, then reload the page - the entire web browser freezes for about 1 minute with the page blank white with a black box where the video should go.  Sometimes it is only 10-20 seconds, but usually a minute.  When video does start showing, I get a few frames then it freezes again while the video buffers.  After another minute the video finally starts playing normally, however it is a minute or so into video now and I've missed half of it.  Winding it back to the beginning, causes it to freeze again.

Also, switching tabs takes a good 10-30 seconds or more.  While all of this is happening, my X server is pegging the CPU at up to 99% CPU usage whenever the Youtube page is the current tab.  This happens on many other video sites as well, and seems to occur to a lesser extent on any web pages that have any serious amount of flash content on them.

If I reset the zoom feature to 0 though for the given page, and reload the video, it works like a charm.

I am using a 1.6GHz AMD Hammer CPU (first generation) with 512MB of RAM, and firefox is using about 230MB.  I'm using an ATI Radeon 9600Pro AGP, and have played around with my X configuration to see if I could affect performance of firefox in any way but as of yet to no avail.  (Tried XAA/EXA, DRI/noDRI, and various other options.

Currently I'm running CentOS 5.2 with firefox 3.0.7 however the problem occured in Fedora 10 as well on both x86 and x86_64 and was much more severe.  I haven't tested my workaround in Fedora however, but the workaround works in CentOS 5.2.

Oddly enough, I installed firefox 3.0.7 for Windows in wine and it works fairly smoothly, including watching Youtube videos.  Using the zoom feature in Windows firefox under wine does not seem to cause this problem however video playback does turn into a bit of a slideshow.

Someone posted a few links above saying if they play a Youtube video embedded in another web page the problem does not happen.  I tested their links and had the same result - however when I zoomed that page, the problem happens on it too, which is what leads me to beleive this is tied to the "zoom" feature.

I'm guessing that whatever extra work has to be done due to the zoom feature, it is causing firefox to bang **** the X server at least for a while.

I tried to strace firefox, but it caused my machine to become completely unresponsive and I had to reboot.  I'd like to also trace the X server but don't have another system accessible that I could use for debugging/troubleshooting currently.

Please try my workaround everyone and respond back whether it changes the problems you are experiencing (whether on Linux/Windows/Mac/whatever).  I'm thinking it might be some combination of an older/slower CPU, plus higher demands on the X server from firefox when zoom is enabled, although that doesn't really explain the issue occuring in Windows for some people.

Could be different issues at play.
Comment 115 Mike A. Harris 2009-03-21 17:35:00 PDT
Oh, one thing I forgot to mention in my previous post, is that the problem also occured with several versions of flash 9 and 10 including the newest release of each.  Adobe's website has an archive pack of old releases that you can download for developers to test with, and I tried numerous releases and the same problem happens on all of them for me.
Comment 116 Mike A. Harris 2009-03-21 17:46:45 PDT
One other thing I neglected to mention, is I'm using the standard open source "radeon" driver that ships with CentOS 5.  I just tried manually forcing EXA acceleration on and trying to reproduce the issue again and it seems now that the problem does not occur when EXA is being used, even if the web page is zoomed very large.

So now it seems this issue (for me at least) is bad interaction between the firefox zoom feature, XAA acceleration and flash video playback (and possibly other content).

For those hitting this issue in Linux, does forcing EXA acceleration on change anything for you?
Comment 117 Charles 2009-03-23 17:55:25 PDT
(In reply to comment #108)


I have not been able to reproduce this on builds of Flash Player r22.87 and builds after the public beta of Windows 7.  Audio playback throughout the entire video when I playback on various site.
Comment 118 fernando 2009-03-31 11:04:00 PDT
Well I endured this bug (or apparently the same bug) for quite a while. In my case I found out it was caused by an install of nspluginwrapper.
Comment 119 Jo Hermans 2010-01-24 15:40:02 PST
*** Bug 403342 has been marked as a duplicate of this bug. ***
Comment 120 Charles 2010-01-25 09:46:51 PST
If its due to nspluginwrapper its not likely a flash issue.
Comment 121 fernando 2010-02-02 11:29:52 PST
Charles, I'm the only one mentioning nspluginwrapper. I'm more inclined to believe that nspluginwrapper was merely a trigger to the bug. Other reasons might trigger it.
Comment 122 Jon 2010-04-10 08:00:16 PDT
I have a similar problem.  For example when I browser to www.ecb.int, and, select a hyperlink (Euro foreign exchange reference rates) that leads to http://www.ecb.int/stats/exchange/eurofxref/html/index.en.html, both Mozilla FF and Google Chrome indicate that the page has crashed.  Mozilla FF automatically reports the error, however the page can never be displayed on Mozilla.  

Would it be possible to work around this in a similar manner that Google Chrome does, whilst the root cause might be sorted out by the people at Shockwave?
Comment 123 Paul Betlem 2010-04-10 13:55:32 PDT
I recommend opening a new bug. The original bug is about video playback halting after a few seconds when using an old version of the Flash Player. This is a different problem than "go to this URL and experience a crash".

I tried to reproduce the problem as stated on ecb.int and everything works fine for me under Firefox 3.6.3 using Flash Player 10.1 on Win 7 (GM release candidate build posted here: http://labs.adobe.com/downloads/flashplayer10.html). I also tested on Chrome and Win IE and saw no problems.

If the problem persists against this new version of the Flash Player, we'll investigate promptly.
Comment 124 karynlls 2010-04-13 01:22:37 PDT
I don't seem to have this problem any longer.  All of a sudden it stopped and now I can receive video but when I watch movies my volume is extremely low and can't be manually made to increase at all.  You can barely hear the movie at all.  It is also completely unsettling as has almost everything having to do with Vista.

I know this isn't what Bugzilla was intended for but I'm not getting any help from anyone at Microsoft or the company that made my computer so, If anyone can tell me what has happened to my computer; in other-words, basically what has turned it into an expensive piece of **** please email me at karleymailbox-online@yahoo.com Thanks
Comment 125 Mike A. Harris 2010-04-14 03:42:05 PDT
Realistically speaking, this problem is not ever going to be fixed.  It doesn't really matter whether it is a bug in the browser, or a bug in Adobe Flash, or some complex interaction between the browser, Flash, and the hardware, or something else.  There are tonnes of people experiencing the problem and other problems with similar symptoms for a long time now and nothing has really changed, which suggests to me that developers are unable to definitively reproduce the problem (or problems) and narrow it down to a root cause that can be worked on.  I managed to reduce the effects of the problem on my own system, but not get rid of it entirely.  While I've experienced the problem (or similar problems) on both Linux and Windows XP, it does not occur on every single system which suggests to me a hardware or driver related component at least, which would also make it more difficult for Mozilla or Adobe devs to reproduce.

The best way I've been able to work around the issue, is using Firefox+Flash on Windows XP on a system that does not exhibit the problem, and to try and avoid Flash on affected systems.  In the long term hopefully the HTML 5 stack will supplant the prevalence of Flash on the web and the point becomes moot naturally over time.  That seems like the most likely long term "fix" scenario at least, and one I welcome with open arms. ;o)
Comment 126 Alex Haan 2012-06-05 13:42:54 PDT
I just had this happen on Firefox 12.0 (Windows 7, 64bit). Restarting Firefox several times didn't help. Then I recalled that the Logitech Gaming Software (8.12.030), which I use for my Logitech G930 headset, sometimes causes a variety of issues.

I restarted that program and then started Firefox again and the issue was gone.
Comment 127 martin 2014-01-09 07:42:23 PST
Further Grief.... In Browser Based Video Play Stopping after 3 to 5 seconds with no audio playing!!

Environment

Sony Viao VGN-NS20J
Windows Vista x32 - SP2
Running Peripherals via Toshiba Dynodock
All Graphic Drivers Up to Date
VCL Media Player (Current Default Player)

Browsers I use that show this problem

Firefox (26.0)
Google Chrome (31.0.1650.63 m)


Add-on’s Installed in both are:

Latest Flash Player (11.900. xxx)
Ad Blocker (?)

Description

The Issue has been with me on and off since Early October 2013 but I have been getting round it by accessing video plays via my ipad or Play station.

This LT issue seems to also be connected to the level of resources I have in use at any one time.  As it can work fine (more so in Chrome than FF) when I have nothing but a single browser page open and just play the one flash video).  A soon as I increase the applications I want to work with and tabs in the browser then the problem becomes even more heavy as page loading starts to crawl as well as video freeze after a few seconds and no audio from the start.

Firefox is the worst of the two as page loading speeds are bed when I am looking to load pages with embedded video, but both have the freeze and audio problems when playing flash.  

I tried and have noticed HTML5 rendered video worked really well in Chrome today but as soon as I opened other tabs and a second browser (FF) to compare, I CTL F5 the page and then it too froze and would not complete the buffing cycle.

I am generally a rational person but this is now starting to get on my (proverbial) 'man boobs' and I need to some real direction on this soon.  Otherwise I will be showing someone my rock star attitude from my first floor window, only with a lap top and not a telly!!

I so hope there is something that can be done but I see your comments (Mike A. Harris) of a few years ago and I am not feeling confident.

Thanks and hoping for success!
Comment 128 Neustradamus 2014-03-03 16:07:27 PST
Any news?

A new time for a browser switch?

Note You need to log in before you can comment on or make changes to this bug.